package com.fs.live.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.live.domain.LiveGoods;

/**
 * 直播商品Service接口
 * 
 * @author fs
 * @date 2025-01-17
 */
public interface ILiveGoodsService extends IService<LiveGoods>
{
    /**
     * 查询直播商品
     * 
     * @param goodsId 直播商品主键
     * @return 直播商品
     */
    public LiveGoods selectLiveGoodsByGoodsId(Long goodsId);

    /**
     * 查询直播商品列表
     * 
     * @param liveGoods 直播商品
     * @return 直播商品集合
     */
    public List<LiveGoods> selectLiveGoodsList(LiveGoods liveGoods);

    /**
     * 新增直播商品
     * 
     * @param liveGoods 直播商品
     * @return 结果
     */
    public int insertLiveGoods(LiveGoods liveGoods);

    /**
     * 修改直播商品
     * 
     * @param liveGoods 直播商品
     * @return 结果
     */
    public int updateLiveGoods(LiveGoods liveGoods);

    /**
     * 批量删除直播商品
     * 
     * @param goodsIds 需要删除的直播商品主键集合
     * @return 结果
     */
    public int deleteLiveGoodsByGoodsIds(Long[] goodsIds);

    /**
     * 删除直播商品信息
     * 
     * @param goodsId 直播商品主键
     * @return 结果
     */
    public int deleteLiveGoodsByGoodsId(Long goodsId);
}
